

#ifndef API_Str_h
#define API_Str_h

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Length(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Match(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Assign(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Assign2(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Add(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Add_AB(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Pos(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_SubString(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_GetWord(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_NowIndexMoonja_Is_Hangul(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_SetLength(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_WordLastChar(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_LastCharChange(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_LineCount(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_CRLF_Count_withStartEndIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Cut_CRLF(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_LineNumber_withIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_LineStartIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_BeforeLineStartIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_NextLineStartIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_ThisLineStartIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_ThisLineEndIndex(void);

//[2011.11.29.화][완료!!!]
void __fastcall _API_Str_Get_LineStr_withLineNumber(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_LineToLineStr(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_LineWord_withSpace(void);

//[2012.08.11.토][완료!!!]
void __fastcall _API_Str_Search_MatchWord_inLineStr(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Search_LineStr_knowLineCount(void);

//[2022.04.17.일][완료]
void __fastcall _API_Str_Search_LineStr_knowLineCount2(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Search_Word(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetLineWordBuf(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_ThisLineStr(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_ThisLinePreSpaceCount(void);

//[2021.08.04.수][완료]
void __fastcall _API_Str_Get_ThisLinePostSpaceCount(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_WordBound(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_XLine_To_1Line_Trim(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Width_Ellipsis(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Find(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetFileExt(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetFilePathOnly(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_Get_FileFullName_LastFolderName(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetFileNameOnly(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetFileNameOnly_ExceptExt(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_GetFileName_Except_BaseDirectory(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_BaseDirectory_Match(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_Str_ChangeFileExt(void);

//[2018.07.02.월][완료!!!]
void __fastcall _API_Str_DefaultFont_Get_StringOutAreaInfo(void);

//[2020.10.11.일][완료]
void __fastcall _API_Str_Get_Real_FileList(void);

//[2020.11.27.금][완료]
void __fastcall _API_Str_FileName_Width_Ellipsis(void);

//[2021.06.29.화][완료]
void __fastcall _API_Str_SortList(void);

//[2022.01.01.토][완료]
void __fastcall _API_Str_Trim(void);

//[행단위목록 관련]
//{
    //[2022.12.25.일][완료]
    void _API_List_Add(void);

    //[2022.12.25.일][완료]
    void _API_List_Delete(void);

    //[2022.12.25.일][완료]
    void _API_List_Replace(void);

    //[2022.12.25.일][완료]
    void _API_List_Insert(void);

//}

#endif